package meerkat.bulletinboard;

import meerkat.bulletinboard.AsyncBulletinBoardClient.BatchIdentifier;

import java.util.Arrays;

/**
 * Created by Arbel Deutsch Peled on 17-Jun-16.
 */
public final class CachedClientBatchIdentifier implements BatchIdentifier {

    // Per-server identifiers
    private final BatchIdentifier localIdentifier;
    private final BatchIdentifier remoteIdentifier;

    public CachedClientBatchIdentifier(BatchIdentifier localIdentifier, BatchIdentifier remoteIdentifier) {
        this.localIdentifier = localIdentifier;
        this.remoteIdentifier = remoteIdentifier;
    }

    public BatchIdentifier getLocalIdentifier() {
        return localIdentifier;
    }

    public BatchIdentifier getRemoteIdentifier() {
        return remoteIdentifier;
    }

}
